"""
Python-PDI - Library for Personal Data Interchange.
Copyright (C) 2002-2003 Peter Gebauer

A small test example on how to use the existing components.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
version 2 as published by the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
"""
from pdi.icalendar import ICalendar
from pdi.vcard import VCard
import pdi.parser

def main():
    # Parse the damn thing.
    calendar = pdi.parser.fromFile("swe-holidays.ics", ICalendar())
    # Dump it!
    print("This is a iCalendar:")
    print(calendar)

    # Parse the damn thing.
    card = pdi.parser.fromFile("businesscard.vcard", VCard())
    # Dump it!
    print("This is a vCard:")
    print(card)

if __name__ == '__main__':
    main()
